package jp.ac.osaka_u.ist.sel.similarity.hash.tokenizer;

import java.io.Reader;

import jp.ac.osaka_u.ist.sel.similarity.hash.database.InsertionTokenInfoDAO;
import jp.ac.osaka_u.ist.sel.similarity.hash.parser.CppTokenStream;
import jp.ac.osaka_u.ist.sel.similarity.hash.parser.TokenStream;

/**
 *
 * Return c++ parser class for the super class, TokenInfoRegister. 
 * 
 * @author Ares
 *
 */
public class CppTokenInfoRegister extends TokenInfoRegister {

    public CppTokenInfoRegister(InsertionTokenInfoDAO tokenDAO) {
        super(tokenDAO);
    }

    @Override
    protected TokenStream getTokenStream(Reader reader) {
        return new CppTokenStream(reader);
    }

}
